[ubuntu/maverick] python-distutils-extra 2.19 (Accepted)

Martin Pitt martin.pitt at ubuntu.com
Sun May 9 10:25:17 BST 2010


python-distutils-extra (2.19) unstable; urgency=low

  * auto.py: Also recognize Qt .ui files if they start with an "<?xml..."
    first line. (LP: #543707)
  * test/auto.py: Check that automatic translation extraction also works for
    extensionless files and single quotation marks. (Side discussion in
    LP #533565)
  * test/auto.py: Check that scripts explicitly mentioned in "data_files" and
    "scripts" are covered by the automatic POTFILES.in generation. This
    reproduces LP #533565.
  * auto.py: Include scripts in setup.py's data_files into potential
    POTFILES.in candidates. (LP: #533565)
  * debian/control: Swap maintainer (me) and uploaders (Sebastian), since I'm
    the de-facto maintainer now.
  * debian/control: Replace python-all-dev build dependency with python-all,
    which is enough. Also wrap build dependencies.
  * Add debian/source/format: 3.0 (native).
  * setup.py: Grab version from DistUtilsExtra/auto.py instead of duplicating
    and hardcoding it.
  * python_mkdebian: Add --version option.
  * Move primary __version__ definition to DistUtilsExtra/__init__.py, where
    it makes more sense than just in the auto module.
  * Add debian/local/python-mkdebian.1. (Closes: #546266)
  * Add debian/python-distutils-extra.manpages to install the new manpage.

Date: Sun, 09 May 2010 11:19:47 +0200
Changed-By: Martin Pitt <martin.pitt at ubuntu.com>
Maintainer: Martin Pitt <mpitt at debian.org>
Origin: debian/unstable
https://launchpad.net/ubuntu/maverick/+source/python-distutils-extra/2.19
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Origin: debian/unstable
Format: 1.8
Date: Sun, 09 May 2010 11:19:47 +0200
Source: python-distutils-extra
Binary: python-distutils-extra
Architecture: source
Version: 2.19
Distribution: maverick
Urgency: low
Maintainer: Martin Pitt <mpitt at debian.org>
Changed-By: Martin Pitt <martin.pitt at ubuntu.com>
Description: 
 python-distutils-extra - enhancements to the Python build system
Closes: 546266
Launchpad-Bugs-Fixed: 533565 543707
Changes: 
 python-distutils-extra (2.19) unstable; urgency=low
 .
   * auto.py: Also recognize Qt .ui files if they start with an "<?xml..."
     first line. (LP: #543707)
   * test/auto.py: Check that automatic translation extraction also works for
     extensionless files and single quotation marks. (Side discussion in
     LP #533565)
   * test/auto.py: Check that scripts explicitly mentioned in "data_files" and
     "scripts" are covered by the automatic POTFILES.in generation. This
     reproduces LP #533565.
   * auto.py: Include scripts in setup.py's data_files into potential
     POTFILES.in candidates. (LP: #533565)
   * debian/control: Swap maintainer (me) and uploaders (Sebastian), since I'm
     the de-facto maintainer now.
   * debian/control: Replace python-all-dev build dependency with python-all,
     which is enough. Also wrap build dependencies.
   * Add debian/source/format: 3.0 (native).
   * setup.py: Grab version from DistUtilsExtra/auto.py instead of duplicating
     and hardcoding it.
   * python_mkdebian: Add --version option.
   * Move primary __version__ definition to DistUtilsExtra/__init__.py, where
     it makes more sense than just in the auto module.
   * Add debian/local/python-mkdebian.1. (Closes: #546266)
   * Add debian/python-distutils-extra.manpages to install the new manpage.
Checksums-Sha1: 
 15f298b1b87ec5d816340cd6777ddba5314cbec8 1148 python-distutils-extra_2.19.dsc
 b9a0d8df89771fc4a37637eadea13648be692b3c 35412 python-distutils-extra_2.19.tar.gz
Checksums-Sha256: 
 6926532da9f9f0479b5af92976de153e08d9bd0c7480525ba7dc014bd35178e6 1148 python-distutils-extra_2.19.dsc
 669680921f6dcf981915c9f54b777b4ef899c4eac4ea897b1117bbe9e1ecad5b 35412 python-distutils-extra_2.19.tar.gz
Files: 
 5310094368da9eb1848043ac690d3a1a 1148 python optional python-distutils-extra_2.19.dsc
 f0c2f70ebccb1bd838d7014ff8dac1d9 35412 python optional python-distutils-extra_2.19.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvmfqkACgkQDecnbV4Fd/KKCgCfXRfUsygJl51bE+L3yuoxJRYi
rYIAn0qv3Y+DvmtlRblQSKItYsEoqdbc
=R+Mu
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list